Name:	  	subtitlecomposer
Version:	0.5.3
Release:	3%{?dist}
Summary:	A text-based subtitles editor

License:	GPLv2+
Group:		Applications/System
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://kde-apps.org/content/show.php/Subtitle+Composer?content=69822
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:  desktop-file-utils
BuildRequires:	kde-filesystem
BuildRequires:	kdelibs4-devel
BuildRequires:	gettext
BuildRequires:	giflib-devel
BuildRequires:	pcre-devel
Requires(post):	/sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
A text-based subtitles editor

%prep
%setup -qn %{name}-%{version} 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. 
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

# pixmaps is deprecated, really still needed? -- Rex
%{__install} -p -D %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

desktop-file-install --dir=$RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4 %{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  update-mime-database %{_datadir}/mime &> /dev/null
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
update-mime-database %{_datadir}/mime &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_kde4_bindir}/subtitlecomposer
%attr(644,root,root) %{_datadir}/pixmaps/subtitlecomposer.png
%{_kde4_datadir}/applications/kde4/subtitlecomposer.desktop
%{_kde4_configdir}/subtitlecomposerrc
%{_kde4_iconsdir}/hicolor/128x128/apps/subtitlecomposer.png
%{_kde4_iconsdir}/hicolor/128x128/actions/*                                                                  
%{_kde4_iconsdir}/hicolor/16x16/actions/*                                                                  
%{_kde4_iconsdir}/hicolor/48x48/actions/*                                                                  
%{_kde4_iconsdir}/hicolor/16x16/apps/subtitlecomposer.png                                                                    
%{_kde4_iconsdir}/hicolor/32x32/apps/subtitlecomposer.png
%{_kde4_iconsdir}/hicolor/48x48/apps/*                                                                    
%{_kde4_iconsdir}/hicolor/scalable/actions/*
%{_kde4_appsdir}/subtitlecomposer/
%{_datadir}/mime/packages/subtitlecomposer.xml

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.3-2
- .desktop: Categories: -Video +AudioVideo
- optimize scriptlets (drop xdg-utils, shared-mime-info deps)
- own %%{_kde4_appsdir}/subtitlecomposer/

* Tue Jun 09 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.5.3-1
- New upstream release
- added Czech, Brazilian Portuguese, Bulgarian, French and German 
- updated Spanish translation
- added Kross powered scripting interface with some basic examples in Ruby, Python and JavaScript
- added action to translate subtitles using Google translation services
- fixed many bugs including some that would crash the application
- selecting a file from the recently opened list could crash the application when using Qt 4.5
- video playback was completely broken with Qt 4.5
- bugs related to searching text and errors
- bugs related to undo/redo that could result in a crash
- other minor fixes, user interface changes and improvements

* Tue Mar 31 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.5.2-3
- Modified desktop categories

* Tue Mar 31 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.5.2-2
- Corrected Desktop categories and added missing scriplets

* Thu Jan 15 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.5.2-1
- Initial SPEC file
